=== added file 'packages/rpm/openvista'
--- packages/rpm/openvista	1970-01-01 00:00:00 +0000
+++ packages/rpm/openvista	2009-04-30 06:48:24 +0000
@@ -0,0 +1,5 @@
+#%PAM-1.0
+auth     include        system-auth
+account  include        system-auth
+password include        system-auth
+session  include        system-auth

=== renamed file 'packages/rpm/openvista-libs.spec' => 'packages/rpm/openvista-libs-5.3003.spec'
--- packages/rpm/openvista-libs.spec	2009-04-23 05:35:22 +0000
+++ packages/rpm/openvista-libs-5.3003.spec	2009-04-30 06:48:24 +0000
@@ -1,6 +1,12 @@
-Name:		openvista-libs
+%ifarch x86_64
+%define gtm_dist /opt/lsb-gtm/V5.3-003_x86_64
+%else
+%define gtm_dist /opt/lsb-gtm/V5.3-003_i686
+%endif
+
+Name:		openvista-libs-5.3003
 Version:	0.8
-Release:	1
+Release:	2
 Summary:	GT.M External Calls for OpenVista
 License:	AGPL
 Vendor:		Medsphere Systems Corporation
@@ -8,10 +14,17 @@
 Group:		Applications/System
 Packager:	Jonathan Tai <jon.tai@medsphere.com>
 
-Requires:	pam fis-gtm-5.3003
-BuildRequires:	pam-devel fis-gtm-5.3003
-
-Source:		openvista-libs-%{version}.tar.bz2
+Provides:	openvista-libs
+
+Requires(post):		/usr/sbin/semanage, /sbin/restorecon
+Requires(postun):	/usr/sbin/semanage
+
+Requires:	pam, fis-gtm-5.3003
+BuildRequires:	pam-devel, fis-gtm-5.3003
+
+Obsoletes:	openvista-libs
+
+Source:		openvista-libs-5.3003-%{version}.tar.bz2
 BuildRoot:	%{_tmppath}/%{name}-root
 
 %description
@@ -21,7 +34,8 @@
 
 This package provides a shared library that OpenVista code running in GT.M
 calls out to for PAM authentication and duplicating a device onto a spawned
-child's stdin/stdout.
+child's stdin/stdout.  This package also provides an suid wrapper around GT.M
+utilities used to send signals to other GT.M processes.
 
 %prep
 %setup
@@ -33,21 +47,9 @@
 %install
 rm -rf %{buildroot}
 
-install -d %{buildroot}%{_libdir}/openvista
-install -m 755 src/libopenvista/libopenvista.so %{buildroot}%{_libdir}/openvista
-
-install -d %{buildroot}%{_datadir}/openvista
-install -m 644 src/libopenvista/openvista.xc %{buildroot}%{_datadir}/openvista
-
-install -d %{buildroot}%{_sysconfdir}/pam.d
-cat > %{buildroot}%{_sysconfdir}/pam.d/openvista <<EOF
-#%PAM-1.0
-auth     include        system-auth
-account  include        system-auth
-password include        system-auth
-session  include        system-auth
-EOF
-chmod 644 %{buildroot}%{_sysconfdir}/pam.d/openvista
+install -d %{buildroot}%{gtm_dist}
+install -m 550 src/libopenvista/libopenvista.so %{buildroot}%{gtm_dist}
+install -m 440 src/libopenvista/openvista.xc %{buildroot}%{gtm_dist}
 
 %clean
 rm -rf %{buildroot}
@@ -58,17 +60,17 @@
 %doc COPYING
 %doc COPYING.AGPL
 %doc NEWS
-%{_libdir}/openvista/libopenvista.so
-%{_datadir}/openvista/openvista.xc
-%{_sysconfdir}/pam.d/openvista
+%defattr(-,bin,gtm)
+%{gtm_dist}/libopenvista.so
+%{gtm_dist}/openvista.xc
 
 %post
 # See http://fedoraproject.org/wiki/PackagingDrafts/SELinux
-/usr/sbin/semanage fcontext -a -t textrel_shlib_t %{_libdir}/openvista/libopenvista.so 2>/dev/null || :
-/sbin/restorecon %{_libdir}/openvista/libopenvista.so || :
+/usr/sbin/semanage fcontext -a -t textrel_shlib_t %{gtm_dist}/libopenvista.so 2>/dev/null || :
+/sbin/restorecon %{gtm_dist}/libopenvista.so || :
 
 %postun
 # See http://fedoraproject.org/wiki/PackagingDrafts/SELinux
 if [ $1 -eq 0 ]; then
-    /usr/sbin/semanage fcontext -d -t textrel_shlib_t %{_libdir}/openvista/libopenvista.so 2>/dev/null || :
+    /usr/sbin/semanage fcontext -d -t textrel_shlib_t %{gtm_dist}/libopenvista.so 2>/dev/null || :
 fi

=== modified file 'packages/rpm/openvista-utils.spec'
--- packages/rpm/openvista-utils.spec	2009-04-23 23:17:19 +0000
+++ packages/rpm/openvista-utils.spec	2009-04-30 06:48:24 +0000
@@ -1,6 +1,6 @@
 Name:		openvista-utils
 Version:	0.8
-Release:	1
+Release:	2
 Summary:	Utilities for configuring and managing OpenVista
 License:	AGPL
 Vendor:		Medsphere Systems Corporation
@@ -9,16 +9,22 @@
 Packager:	Jonathan Tai <jon.tai@medsphere.com>
 
 Requires(pre):		/usr/sbin/useradd
-Requires(post):		/sbin/chkconfig
+Requires(post):		/sbin/chkconfig, /sbin/service
 Requires(preun):	/sbin/chkconfig
-Requires(postun):	/usr/sbin/userdel
+Requires(postun):	/usr/sbin/userdel, /sbin/service
 
-Requires:	/bin/bash, coreutils, openssh, /usr/bin/logger, /usr/bin/rsync, /bin/tar, /usr/bin/bzip2, /usr/bin/find, vixie-cron, fis-gtm, openvista-libs
+Requires:	/bin/bash, coreutils, openssh, /usr/bin/logger, /usr/bin/rsync, /bin/tar, /usr/bin/bzip2, /usr/bin/find, vixie-cron
+Requires:	fis-gtm, openvista-libs
+Requires:	httpd, mod_ssl, pam
 
 # RPM should have a suggests tag...
-# Suggests:	putty-tools, openvista-webdav-config, bash-completion, /usr/bin/pbzip2
-
-Source:		openvista-utils-%{version}.tar.bz2
+# Suggests:	/usr/bin/puttygen, bash-completion, /usr/bin/pbzip2
+
+Obsoletes:	openvista-webdav-config
+
+Source0:	openvista-utils-%{version}.tar.bz2
+Source1:	webdav.conf
+Source2:	openvista
 BuildArch:	noarch
 BuildRoot:	%{_tmppath}/%{name}-root
 
@@ -56,16 +62,16 @@
 install scripts/usr/bin/ovimport %{buildroot}%{_bindir}/
 
 install -d %{buildroot}%{_mandir}/man1/
-install docs/man1/ovinstanceadd.1 %{buildroot}%{_mandir}/man1/
-install docs/man1/ovinstancedel.1 %{buildroot}%{_mandir}/man1/
-install docs/man1/ovrestore.1 %{buildroot}%{_mandir}/man1/
-install docs/man1/openvista.1 %{buildroot}%{_mandir}/man1/
-install docs/man1/ovtied.1 %{buildroot}%{_mandir}/man1/
-install docs/man1/ovcc.1 %{buildroot}%{_mandir}/man1/
-install docs/man1/ovbackup.1 %{buildroot}%{_mandir}/man1/
-install docs/man1/ovpurgejournals.1 %{buildroot}%{_mandir}/man1/
-install docs/man1/ovswitchjournals.1 %{buildroot}%{_mandir}/man1/
-install docs/man1/ovimport.1 %{buildroot}%{_mandir}/man1/
+install -m 644 docs/man1/ovinstanceadd.1 %{buildroot}%{_mandir}/man1/
+install -m 644 docs/man1/ovinstancedel.1 %{buildroot}%{_mandir}/man1/
+install -m 644 docs/man1/ovrestore.1 %{buildroot}%{_mandir}/man1/
+install -m 644 docs/man1/openvista.1 %{buildroot}%{_mandir}/man1/
+install -m 644 docs/man1/ovtied.1 %{buildroot}%{_mandir}/man1/
+install -m 644 docs/man1/ovcc.1 %{buildroot}%{_mandir}/man1/
+install -m 644 docs/man1/ovbackup.1 %{buildroot}%{_mandir}/man1/
+install -m 644 docs/man1/ovpurgejournals.1 %{buildroot}%{_mandir}/man1/
+install -m 644 docs/man1/ovswitchjournals.1 %{buildroot}%{_mandir}/man1/
+install -m 644 docs/man1/ovimport.1 %{buildroot}%{_mandir}/man1/
 gzip %{buildroot}%{_mandir}/man1/ovinstanceadd.1
 gzip %{buildroot}%{_mandir}/man1/ovinstancedel.1
 gzip %{buildroot}%{_mandir}/man1/ovrestore.1
@@ -92,6 +98,18 @@
 
 install -d %{buildroot}/opt/openvista
 
+install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
+install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/
+
+install -d %{buildroot}%{_sysconfdir}/httpd/conf
+touch %{buildroot}%{_sysconfdir}/httpd/conf/webdav.htpasswd
+
+install -d %{buildroot}/var/www/html/webdav
+
+install -d %{buildroot}%{_sysconfdir}/pam.d
+
+install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/
+
 %clean
 rm -rf %{buildroot}
 
@@ -128,6 +146,10 @@
 %config %{_sysconfdir}/cron.d/openvista
 %{_sysconfdir}/cron.daily/openvista
 %attr(2750,root,openvista) %dir /opt/openvista
+%{_sysconfdir}/httpd/conf.d/webdav.conf
+%config %{_sysconfdir}/httpd/conf/webdav.htpasswd
+%dir /var/www/html/webdav
+%{_sysconfdir}/pam.d/openvista
 
 %pre
 /usr/sbin/useradd -G gtm openvista 2> /dev/null || :
@@ -138,6 +160,8 @@
 /sbin/chkconfig --add openvista
 /sbin/chkconfig openvista on
 
+/sbin/service httpd reload > /dev/null 2>&1 || :
+
 %preun
 if [ $1 = 0 ]; then
     /sbin/chkconfig --del openvista-databases
@@ -154,3 +178,5 @@
     /usr/sbin/groupdel openvista 2> /dev/null || :
 fi
 
+/sbin/service httpd reload > /dev/null 2>&1 || :
+

=== removed file 'packages/rpm/openvista-webdav-config.spec'
--- packages/rpm/openvista-webdav-config.spec	2009-04-24 20:40:45 +0000
+++ packages/rpm/openvista-webdav-config.spec	1970-01-01 00:00:00 +0000
@@ -1,56 +0,0 @@
-Name:		openvista-webdav-config
-Version:	0.8
-Release:	1
-Summary:	WebDAV configuration for OpenVista
-License:	AGPL
-Vendor:		Medsphere Systems Corporation
-URL:		https://medsphere.org/community/project/gtm
-Group:		Applications/System
-Packager:	Jonathan Tai <jon.tai@medsphere.com>
-
-Requires:	httpd, mod_ssl
-
-Source:		webdav.conf
-BuildArch:	noarch
-BuildRoot:	%{_tmppath}/%{name}-root
-
-%description
-OpenVista is a cost-effective, open, trusted and complete EHR which enhances
-patient safety, increases clinical and operational efficiency and provides an
-opportunity to improve quality of care delivery.
-
-This package provides a configuration file for the Apache web server to enable
-WebDAV.  WebDAV is used by OpenVista's document imaging feature.
-
-%prep
-
-%build
-
-%install
-rm -rf %{buildroot}
-
-install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
-install %{SOURCE0} %{buildroot}%{_sysconfdir}/httpd/conf.d/
-
-install -d %{buildroot}%{_sysconfdir}/httpd/conf
-touch %{buildroot}%{_sysconfdir}/httpd/conf/webdav.htpasswd
-
-install -d %{buildroot}/var/www/html/webdav
-
-%clean
-rm -rf %{buildroot}
-
-%files
-%defattr(-,root,root)
-%{_sysconfdir}/httpd/conf.d/webdav.conf
-%{_sysconfdir}/httpd/conf/webdav.htpasswd
-%dir /var/www/html/webdav
-
-%post
-/sbin/service httpd reload > /dev/null 2>&1 || :
-
-%postun
-if [ $1 = 0 ]; then
-    /sbin/service httpd reload > /dev/null 2>&1 || :
-fi
-

=== modified file 'rpmbuild.sh'
--- rpmbuild.sh	2009-04-22 04:16:31 +0000
+++ rpmbuild.sh	2009-04-30 06:48:24 +0000
@@ -40,7 +40,7 @@
     cp -f "$dir/packages/rpm/$package.spec" "$topdir/SPECS/"
 
     case $package in
-        openvista-utils|openvista-libs)
+        openvista-utils)
             # create source tarabll
             rm -rf "$topdir/SOURCES/${package}-$version"
             cp -R "$dir" "$topdir/SOURCES/${package}-$version"
@@ -49,15 +49,19 @@
             tar -c --bzip2 -f "$topdir/SOURCES/${package}-$version.tar.bz2" -C "$topdir/SOURCES" "${package}-$version"
             rm -rf "$topdir/SOURCES/${package}-$version"
 
-            ( cd "$topdir/SPECS" && rpmbuild -ba "$package.spec" )
-            ;;
-        openvista-webdav-config)
             cp -f "$dir/packages/rpm/webdav.conf" "$topdir/SOURCES/"
+            cp -f "$dir/packages/rpm/openvista" "$topdir/SOURCES/"
 
             ( cd "$topdir/SPECS" && rpmbuild -ba "$package.spec" )
             ;;
-        putty-tools)
-            # assume sources are already present
+        openvista-libs*)
+            # create source tarabll
+            rm -rf "$topdir/SOURCES/${package}-$version"
+            cp -R "$dir" "$topdir/SOURCES/${package}-$version"
+            rm -rf "$topdir/SOURCES/${package}-$version/.bzr"
+            rm -f "$topdir/SOURCES/${package}-$version.tar.bz2"
+            tar -c --bzip2 -f "$topdir/SOURCES/${package}-$version.tar.bz2" -C "$topdir/SOURCES" "${package}-$version"
+            rm -rf "$topdir/SOURCES/${package}-$version"
 
             ( cd "$topdir/SPECS" && rpmbuild -ba "$package.spec" )
             ;;
@@ -67,6 +71,11 @@
             # this package must be built as root; assume sudo does not require a password
             ( cd "$topdir/SPECS" && sudo rpmbuild -ba "$package.spec" )
             ;;
+        putty-tools)
+            # assume sources are already present
+
+            ( cd "$topdir/SPECS" && rpmbuild -ba "$package.spec" )
+            ;;
     esac
 done
 

=== modified file 'scripts/usr/lib/openvista/functions'
--- scripts/usr/lib/openvista/functions	2009-04-17 05:09:55 +0000
+++ scripts/usr/lib/openvista/functions	2009-04-30 06:48:24 +0000
@@ -54,7 +54,7 @@
     gtmgbldir="$root/$instance/globals/mumps.gld"
     gtm_zinterrupt='I $$JOBEXAM^ZU($ZPOSITION)'
     gtm_prompt=`echo "$instance>" | tr '[:lower:]' '[:upper:]'`
-    GTMXC_openvista='/usr/share/openvista/openvista.xc'
+    GTMXC_openvista="$root/$instance/gtm/openvista.xc"
     PATH="$PATH:$root/$instance/gtm"
 
     export gtm_dist

=== modified file 'src/libopenvista/openvista.xc'
--- src/libopenvista/openvista.xc	2009-04-23 04:45:12 +0000
+++ src/libopenvista/openvista.xc	2009-04-30 06:48:24 +0000
@@ -1,3 +1,3 @@
-/usr/lib/openvista/libopenvista.so
+/opt/lsb-gtm/V5.3-003_i686/libopenvista.so
 dopam: xc_long_t dopam(I:xc_char_t*, I:xc_char_t*, I:xc_char_t*)
 gtmserver: xc_long_t gtmserver(I:xc_long_t, I:xc_char_t*)

